
Redmine - Defect #35038

Error message when limited user want to add time entry and change assignee for a private issue

2021-04-05 16:10 - Kam Nazir

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

If a user(not admin) is assignee of a private issue, when he change it's assignee and add time_entry (at he same time) so that he can

not access the issue after, redmine throws these error messages:

Log time is invalid

Issue is invalid

This scenario also happens when the user's role is limited to see only own issues.

I write a patch to fix it.

Related issues:

Is duplicate of Redmine - Defect #34856: Time entry error on private issue Closed

History

#1 - 2021-04-09 07:00 - Go MAEDA

- Is duplicate of Defect #34856: Time entry error on private issue added

#2 - 2021-04-09 07:01 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Thank you for reporting the issue but I am closing this issue as a duplicate of #34856.

Files

fix_invalid_time_entry.patch 834 Bytes 2021-04-05 Kam Nazir
